Page MenuHomePhabricator

New round of blocked accounts during global rename
Closed, ResolvedPublic

Description

The following accounts rename are currently stuck:

mysql:wikiadmin@db1079 [centralauth]> select ru_oldname, ru_newname, count(*) from renameuser_status group by ru_oldname, ru_newname;
+-----------------+---------------------+----------+
| ru_oldname      | ru_newname          | count(*) |
+-----------------+---------------------+----------+
| Fundacionyguazu | Sra.Yguazu          |        3 |
| IsdoraZivotic   | IsidoraZivotic      |        3 |
| JeannyRhee      | WeMakeShoesTogether |        2 |
| NikkyAlex       | Nikkyrus            |       14 |
| UclaFinancial   | RyanBennett         |        2 |
+-----------------+---------------------+----------+
5 rows in set (0.00 sec)

These users can't log in anymore while the process isn't completed.

Event Timeline

Restricted Application added subscribers: JEumerus, Steinsplitter, Dereckson and 2 others. · View Herald Transcript
K6ka added a subscriber: K6ka.Aug 16 2016, 11:44 PM
K6ka added a comment.EditedAug 16 2016, 11:47 PM

https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/Sra.Yguazu and https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/IsidoraZivotic are also stuck. The renames are failing on mediawiki.org. Should we put up the "Do not rename" notice again?

Dereckson renamed this task from Please unblock global rename: NikkyAlex to Nikkyrus to New round of blocked accounts during global rename.Aug 17 2016, 12:00 AM
Dereckson updated the task description. (Show Details)
Dereckson added a subscriber: Anomie.

https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/Sra.Yguazu and https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/IsidoraZivotic are also stuck. The renames are failing on mediawiki.org. Should we put up the "Do not rename" notice again?

Marked the page for translation, notice should be live now.

Anomie added a subscriber: aaron.Aug 17 2016, 2:23 PM

Looking at the logs, I see exceptions such as the following that seem likely to be causing the rename jobs to fail.

2016-08-16 23:51:07 [V7Om5wpAMEwAADuGVnsAAABD] mw1303 mediawikiwiki 1.28.0-wmf.15 exception ERROR: [V7Om5wpAMEwAADuGVnsAAABD] [no req]   DBUnexpectedError from line 2766 of /srv/mediawiki/php-1.28.0-wmf.15/includes/db/Database.php: GlobalRenameUserStatus::commitStatus: Explicit commit of implicit transaction. {"exception_id":"V7Om5wpAMEwAADuGVnsAAABD"} 
[Exception DBUnexpectedError] (/srv/mediawiki/php-1.28.0-wmf.15/includes/db/Database.php:2766) GlobalRenameUserStatus::commitStatus: Explicit commit of implicit transaction.
  #0 /srv/mediawiki/php-1.28.0-wmf.15/extensions/CentralAuth/includes/GlobalRename/GlobalRenameUserStatus.php(211): DatabaseBase->commit(string)
  #1 /srv/mediawiki/php-1.28.0-wmf.15/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameJob.php(104): GlobalRenameUserStatus->commitStatus()
  #2 /srv/mediawiki/php-1.28.0-wmf.15/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameJob.php(46): LocalRenameJob->updateStatus(string)
  #3 /srv/mediawiki/php-1.28.0-wmf.15/includes/jobqueue/JobRunner.php(265): LocalRenameJob->run()
  #4 /srv/mediawiki/php-1.28.0-wmf.15/includes/jobqueue/JobRunner.php(179): JobRunner->executeJob(LocalRenameUserJob, BufferingStatsdDataFactory, integer)
  #5 /srv/mediawiki/rpc/RunJobs.php(47): JobRunner->run(array)
  #6 {main}

This exception was added in rMWa2242913b2e2: Upgrade unmatched explicit commit() of DBO_TRX to an exception, pinging @aaron.

aaron added a comment.Aug 17 2016, 6:12 PM

The commit is missing 'flush'. In an case, https://gerrit.wikimedia.org/r/#/c/304684/1 should fix it in passing.

Change 304684 had a related patch set uploaded (by Aaron Schulz):
Make sure status updates in jobs commit/rollback all DBs together

https://gerrit.wikimedia.org/r/304684

Change 304684 merged by jenkins-bot:
Make sure status updates in jobs commit/rollback all DBs together

https://gerrit.wikimedia.org/r/304684

Change 305399 had a related patch set uploaded (by Aaron Schulz):
Make sure status updates in jobs commit/rollback all DBs together

https://gerrit.wikimedia.org/r/305399

Change 305399 merged by jenkins-bot:
Make sure status updates in jobs commit/rollback all DBs together

https://gerrit.wikimedia.org/r/305399

I re-enqueued all abandoned rename jobs for group0 wikis and metawiki. Those links look fine now.

MariaDB [centralauth_p]> select ru_oldname, ru_newname, count(*) from renameuser_status group by ru_oldname, ru_newname;
Empty set (0.00 sec)

Resolved?

aaron closed this task as Resolved.Aug 17 2016, 11:08 PM
aaron claimed this task.

We've been doing global renames now, and none has become stuck. Thank you.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Oct 11 2016, 1:11 PM